Package ch.qos.logback.classic.net

# Class SocketNode

java.lang.Object
ch.qos.logback.classic.net.SocketNode

All Implemented Interfaces:
  `Runnable`

public class SocketNode extends Object implements Runnable
Read `ILoggingEvent` objects sent from a remote client using Sockets (TCP). These logging events are logged according to local policy, as if they were generated locally.

For example, the socket node might decide to log events to a local file and also resent them to a second socket node.

Since:
  0.8.4
Author:
  Ceki Gülcü, Sébastien Pennec

## Constructor Summary

Constructors
Constructor
Description
`SocketNode(SimpleSocketServer socketServer, Socket socket, LoggerContext context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SocketNode

public SocketNode(SimpleSocketServer socketServer, Socket socket, LoggerContext context)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### toString

public String toString()

Overrides:
  `toString` in class `Object`